XUND
API ReferenceChatbot

Restore the check to an earlier question

POST/v1/chatbot/restoreToQuestion

Use this endpoint for navigating back to a question asked earlier.

This endpoint restores the check's state to a previous question and clears all answers after the question the check was reset to.

The target question must already be answered: restoring to the currently asked question or to an unknown questionId is rejected with status code 400. A successful restore returns an empty 200 body.

Authorization

BearerToken
AuthorizationBearer <token>

Authenticate with a JWT bearer token obtained from the token endpoint with your Client Id and API key.

In: header

Header Parameters

check-id*string

The ongoing check's identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/v1/chatbot/restoreToQuestion" \  -H "authorization: Bearer <token>" \  -H "check-id: 5e93d7a1-f240-43b5-8937-33419ea9cb6a" \  -H "Content-Type: application/json" \  -d '{    "questionId": "e38f994b-6464-4c49-8b11-28687031d46d"  }'
Empty

Last updated on